SMTP Authentication

Gerhard Häring gerhard.haering at gmx.de
Wed Aug 14 16:50:30 CEST 2002


In article <ajdpuf$3s0$02$1 at news.t-online.com>, Harald Schneider wrote:
> Thanks! -- Is there also a version for Python 2.1 available?

Probably not. But it wouldn't be too difficult to backport it to Python 2.1
yourself. As far as I can see, you will need the hmac module from Python 2.2
and adapt my smtplib.py by deleting some code that uses socket features only
available in Python 2.2.

It might, however, prove easier to just put the AUTH related changes into a
Python 2.1 smtplib instead. I personally have no need for Python 2.1
compatibility, but you are free to scratch your own itch <wink>.

Gerhard
-- 
Gerhard Häring
OPUS GmbH München
Tel.: +49 89 - 889 49 7 - 32
http://www.opus-gmbh.net/



More information about the Python-list mailing list